Security announcements

MSA-15-0014: Potential information disclosure for the inaccessible courses

 
Picture of Marina Glancy
MSA-15-0014: Potential information disclosure for the inaccessible courses
 
Description: For the custom themes that use blocks regions in the base layout the blocks for inaccessible courses could be displayed together with sensible course-related information. Majority of the themes, including all standard Moodle Themes, are not affected.
Issue summary: Guest user can see course information they should not be able to via require_login
Severity/Risk: Minor
Versions affected: 2.8 to 2.8.3, 2.7 to 2.7.5, 2.6 to 2.6.8 and earlier unsupported versions
Versions fixed: 2.8.4, 2.7.6 and 2.6.9
Reported by: Sam Hemelryk
Issue no.: MDL-48804
CVE identifier: CVE-2015-2270
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-48804